Summary: ISO-8859-2 and CP-852 support for groff
Name: groff-latin2
Version: 1.1
Release: 2
Source: ftp.fi.muni.cz:/pub/localization/groff/groff-latin2-1.1.tar.gz
Copyright: GPL
Group: Applications/Publishing
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>
Requires: groff patch grep textutils
BuildArchitectures: noarch
BuildRoot: /var/tmp/groff-latin2-root
# This is for compatibility with earlier releases (named groff_cz).
Provides: groff_cz

%description
This is a small add-on to groff allowing it to process texts
in ISO-8859-2 (ISO Latin 2) and PC-Latin-2 (CP 852). It adds
the "devlatin2" and "devlatin2dos" devices to the groff.

%changelog
* Fri Jul  3 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- added the %ghost file troffrc.orig and .rej to make uninstalling more clean.
- added trigger to the groff package so that troffrc is patched every
	time groff is upgraded.
- fixed incorrect dependences (fileutils instead of textutils - scripts need
	cat -- a part of textutils).

* Tue May 12 1998 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to 1.1, included .spec file in main groff source.

%prep
%setup

%install
ROOT=${RPM_BUILD_ROOT} MANDIR=/usr/man/man7 PATCH=no ./install.sh
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/groff-latin2
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/groff/tmac
cp troffrc.patch ${RPM_BUILD_ROOT}/usr/lib/groff-latin2
touch ${RPM_BUILD_ROOT}/usr/lib/groff/tmac/troffrc.orig
touch ${RPM_BUILD_ROOT}/usr/lib/groff/tmac/troffrc.rej

%trigger -- groff
# echo "debug: trigger of groff-latin2: $*" >&2
if [ "$2" -ge 1 ]
then
	if /bin/grep -q latin2 /usr/lib/groff/tmac/troffrc
	then :
	else
		if /usr/bin/patch -p0 -s -d /usr/lib/groff/tmac \
			</usr/lib/groff-latin2/troffrc.patch
		then :
		else
			cat >&2 <<EOF
Patching of troffrc failed. You may consider to add the latin2 and
latin2cp852 devices to the /usr/lib/groff/tmac/troffrc file by hand.
See the /usr/lib/groff-latin2/troffrc.patch for details.
EOF
		fi
	fi
fi

%post
if [ "$1" = 1 ]
then
	if /bin/grep -q latin2 /usr/lib/groff/tmac/troffrc
	then :
	else
		if /usr/bin/patch -p0 -s -d /usr/lib/groff/tmac \
			</usr/lib/groff-latin2/troffrc.patch
		then :
		else
			cat >&2 <<EOF
Patching of troffrc failed. You may consider to add the latin2 and
latin2cp852 devices to the /usr/lib/groff/tmac/troffrc file by hand.
See the /usr/lib/groff-latin2/troffrc.patch for details.
EOF
		fi
	fi
fi

%preun
if [ "$1" = 0 ]
then
	if /bin/grep -q latin2 /usr/lib/groff/tmac/troffrc
	then
		if /usr/bin/patch -p0 -s -E -R -d /usr/lib/groff/tmac \
			</usr/lib/groff-latin2/troffrc.patch
		then :
		else
			cat >&2 <<EOF
Patching of troffrc failed. You may consider to remove the latin2 and
latin2cp852 devices to the /usr/lib/groff/tmac/troffrc file by hand.
EOF
		fi
	fi
fi

%verifyscript
if /bin/grep -q latin2 /usr/lib/groff/tmac/troffrc
then :
else
	cat >&2 <<EOF
The /usr/lib/groff/tmac/troffrc file does not contain the "latin2" device.
It means somebody (perhaps a groff upgrade) replaced this file with
something new without the "latin2" and "latin2cp852" devices. You can
modify this file by hand or apply the patch in
/usr/lib/groff-latin2/troffrc.patch.
EOF
	exit 1
fi

%files
%doc README README.english readme.cz
%attr(0644,root,root) /usr/man/man7/groff_latin2.7.gz
%attr(0755,root,root) %dir /usr/lib/groff/font/devlatin2
%attr(0755,root,root) %dir /usr/lib/groff/font/devlatin2cp852
%attr(0755,root,root) %dir /usr/lib/groff-latin2
%attr(0644,root,root) /usr/lib/groff/font/devlatin2/*
%attr(0644,root,root) /usr/lib/groff/font/devlatin2cp852/*
%attr(0644,root,root) /usr/lib/groff-latin2/*
%attr(0644,root,root) %ghost /usr/lib/groff/tmac/troffrc.orig
%attr(0644,root,root) %ghost /usr/lib/groff/tmac/troffrc.rej

